<template>
  <single-panel class="rating">
    <div class="tabs-container">
      <ob-tabs
          ref="resources-tabs"
          :items="tabs"
          @on-change-tab="onChangeTab"
      />
    </div>
   <div class="rating__line">
     <left-panel :role="role"/>
     <right-panel :role="role"/>
   </div>
<!--    <Chat/>-->
  </single-panel>
</template>

<script>
  import SinglePanel from 'common-components/src/obComponents/obSinglePanels';
  import LeftPanel from './leftPanel';
  import RightPanel from './rightPanel';
  import ObTabs from "common-components/src/obComponents/obTabs/index";
  // import Chat from '@/components/chat';

  export default {
    name: "rating",
    props: {
      role:{
        type: String,
        default: ''
      }
    },
    components: {
      SinglePanel,
      LeftPanel,
      RightPanel,
      ObTabs
      // Chat
    },
    data() {
      return {
        tabs: [
          {
            title: 'Мой рейтинг как заказчика',
            name: 'customer',
            id: 1
          },
          {
            title: 'Мой рейтинг как исполнителя',
            name: 'executor',
            id: 2
          },
        ]
      }
    },
    methods: {
      onChangeTab ({ name }) {
        this.role = name
      }
    }
  }
</script>

<style scoped lang="scss">
  .rating {
    padding: 20px;
    &__line{
      display: flex;
      flex-direction: row;
      padding-top: 20px;
    }
  }
</style>